# AmazonAssociateElasticIpParameters Object

## Description

Parameters for the Amazon Associate Elastic IP Address action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### elasticIpAddress

Elastic IP address to assign to the EC2 instance.

Type: `string`

Required: Yes

### instanceId

Instance ID of the EC2 instance to which assign the Elastic IP address. Required when `instanceIdentificationMethod` is `by-instance-id`.

Type: `string`

Required: Conditional

### instanceName

Value of the `Name` tag on the EC2 instance to which assign the Elastic IP address. Required when `instanceIdentificationMethod` is `by-instance-name-tag`. Only one such EC2 instance should exist.

Type: `string`

Required: Conditional

### instanceIdentificationMethod

Method of identifying the EC2 instance.

Type: `string`

Valid Values:

* `by-instance-id`
* `by-instance-name-tag`

Required: Yes

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    "instanceIdentificationMethod": "by-instance-id",
    "instanceId": "i-12345678",
    "elasticIpAddress": "1.2.3.4"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonassociateelasticipparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
